"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const chalk_1 = __importDefault(require("chalk"));
const lodash_1 = __importDefault(require("lodash"));
const dayjs_1 = __importDefault(require("dayjs"));
exports.command = 'script <name>';
exports.desc = 'Generate a zignis script file';
exports.builder = function (yargs) { };
exports.handler = function (argv) {
    if (!argv.scriptDir || !fs_1.default.existsSync(argv.scriptDir)) {
        console.log(chalk_1.default.red('"scriptDir" missing in config file or not exist in current directory!'));
        return;
    }
    const filePrefix = dayjs_1.default().format('YYYYMMDDHHmmssSSS');
    const scriptFile = path_1.default.resolve(argv.scriptDir, `${filePrefix}_${lodash_1.default.kebabCase(argv.name)}.js`);
    if (fs_1.default.existsSync(scriptFile)) {
        console.log(chalk_1.default.red('Scritp file exist!'));
        return;
    }
    const code = `
exports.builder = function (yargs) {
  // yargs.option('option', {default, describe, alias})
}

exports.handler = async function (argv) {
  console.log('Start to draw your dream code!')
  process.exit(0)
}
`;
    if (!fs_1.default.existsSync(scriptFile)) {
        fs_1.default.writeFileSync(scriptFile, code);
        console.log(chalk_1.default.green(`${scriptFile} created!`));
    }
};
